CGAL 6.1.2 - 3D Isosurfacing

Loading...
Searching...
No Matches
List of all members | Public Types | Public Member Functions
CGAL::Isosurfacing::Value_function_3< Partition > Class Template Reference
Reference Manual » Value and Gradient Fields

`#include <CGAL/Isosurfacing_3/Value_function_3.h>`

## Definition

template<typename Partition>
class CGAL::Isosurfacing::Value_function_3< Partition >

The class `Value_function_3` represents a field of scalars computed using a user-provided unary function.

Is model of
  `IsosurfacingValueField_3`

Template Parameters

  Partition | must be a model of `IsosurfacingPartition_3`

See also
  `CGAL::Isosurfacing::Marching_cubes_domain_3`
  `CGAL::Isosurfacing::Dual_contouring_domain_3`

Examples
  Isosurfacing_3/contouring_implicit_data.cpp, Isosurfacing_3/contouring_mesh_offset.cpp, Isosurfacing_3/contouring_octree.cpp, Isosurfacing_3/dual_contouring.cpp, and Isosurfacing_3/marching_cubes.cpp.

## Public Types
using | Geom_traits = typename Partition::Geom_traits
using | FT = typename Geom_traits::FT
using | Point_3 = typename Geom_traits::Point_3
using | PT = partition_traits< Partition >
using | vertex_descriptor = typename PT::vertex_descriptor

## Public Member Functions
template<typename Function >
| Value_function_3 (const Function &fn, const Partition &partition)
| constructs a field of values using a value function and a partition.
FT | operator() (const Point_3 &p) const
| returns the value of the function at the point `p`.
FT | operator() (const vertex_descriptor &v) const
| returns the value of the function at the vertex `v`.

## Constructor & Destructor Documentation

## ◆ Value_function_3()

template<typename Partition >
template<typename Function >

CGAL::Isosurfacing::Value_function_3< Partition >::Value_function_3 | ( | const Function & | fn,
|  | const Partition & | partition
| ) |  |

constructs a field of values using a value function and a partition.

Template Parameters

  Function | must provide the following function signature: `FT operator()(const Point_3&) const`

Parameters

  fn | the function providing values
  partition | the space partitioning data structure